Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Please fix the broken repositories

  1. #1

    Default Please fix the broken repositories

    I am sure you are probably aware that the repositories are broken right now and I hope you are working on getting them fixed. I have tried the Leap repositories and the Tumbleweed repositories and both fail to update because certain files cannot be downloaded.

    I visited the repositories using a browser and the files are there but if you click on them, they cannot be downloaded so it is probably a permissions issue.

    Here is an example from trying to refresh the Leap repositories:

    # zypper ref
    Retrieving repository 'non-oss' metadata ------------------------------------[-]
    Timeout exceeded when accessing 'http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/suse/setup/descr/packages.en.gz'.

    Abort, retry, ignore? [a/r/i] (r):

  2. #2

    Default Re: Please fix the broken repositories

    The file giving the download error for the Tumbleweed repository is:
    http://download.opensuse.org/tumblew...-failed.xml.gz

    There may be more files giving issues but these two are broken for sure. Changing the mode to 644 on these files and any others that may be set incorrectly should fix things.

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,895
    Blog Entries
    3

    Default Re: Please fix the broken repositories

    Consider the possibility that there's a problem at your end or with your ISP.

    I just refreshed repos a few minutes ago (Leap 42.1), without any problem.

    And, just seconds ago, I refreshed repos on another Leap computer.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,246
    Blog Entries
    15

    Default Re: Please fix the broken repositories

    Hi
    Not broken, probably getting redirected to a flakey mirror or your ip address is blocked at a mirror (due to spam or rbl).
    http://download.opensuse.org/distrib....gz.mirrorlist

    Find a local mirror;
    http://mirrors.opensuse.org/

    I'm in Mississippi and finding it fine.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5

    Default Re: Please fix the broken repositories

    Well, I've been able to update via zypper, etc. but this: https://software.opensuse.org/421/en is broken for any search and it complains about a file in tumbleweed, so at least part of the problem doesn't seem to have much to do with a particular mirror?

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,246
    Blog Entries
    15

    Default Re: Please fix the broken repositories

    Quote Originally Posted by oliviercalle View Post
    Well, I've been able to update via zypper, etc. but this: https://software.opensuse.org/421/en is broken for any search and it complains about a file in tumbleweed, so at least part of the problem doesn't seem to have much to do with a particular mirror?
    Hi
    No, that's a completely different issue, package search is related to the build service and it's package search. It's being looked at, no ETA for a fix (Germany of a Friday)...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. #7

    Default Re: Please fix the broken repositories

    OK, I'm getting this error from software.opensuse.org (Error connecting to http://download.opensuse.org/tumblew...e7d5f9e.xml.gz) so I thought it might be related. It's a bummer it broke just now... I was recommending openSUSE to a friend today.

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,246
    Blog Entries
    15

    Default Re: Please fix the broken repositories

    Quote Originally Posted by oliviercalle View Post
    OK, I'm getting this error from software.opensuse.org (Error connecting to http://download.opensuse.org/tumblew...e7d5f9e.xml.gz) so I thought it might be related. It's a bummer it broke just now... I was recommending openSUSE to a friend today.
    Hi
    They just released 20160714, possibly sync issues, pays to wait a bit before looking at using.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  9. #9

    Default Re: Please fix the broken repositories

    so is this error message when trying to update related? 'error connecting http://ftp.gwdg.de/pub/linux/packman...ata/repomd.xml permission denied'
    using suse 13.1 Gnome
    nrickert
    Consider the possibility that there's a problem at your end or with your ISP.

    I just refreshed repos a few minutes ago (Leap 42.1), without any problem.

    And, just seconds ago, I refreshed repos on another Leap computer.
    Please could you expand on this, suspect ISP could be problem as unable to view several web pages?

  10. #10
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,895
    Blog Entries
    3

    Default Re: Please fix the broken repositories

    Quote Originally Posted by Sosaidh View Post
    so is this error message when trying to update related? 'error connecting http://ftp.gwdg.de/pub/linux/packman...ata/repomd.xml permission denied'
    using suse 13.1 Gnome


    Please could you expand on this, suspect ISP could be problem as unable to view several web pages?
    "error connection" indicates a network problem.

    It could be local (your own connection to your ISP), or it could be that the destination site "ftp.gwdg.de" is down. It could be that a router is down near you (one of your ISP's routers). It could be that a router is down near the destination site (however gwdg.de connects to the Internet).

    Usually the first thing to do is see if you can connect with other sites. I presume that you can, since you were able to connect to this forum. Next step would be to wait a few hours to see if it corrects itself. If that does not help, then look for an alternate packman mirror.

    The Internet is imperfect. Sites go down; sites are hacked; routers fail. It usually work, because there's a lot of redundancy. But sometimes one has to wait.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •